Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new child content for the organization.
cURL
curl --request POST \ --url https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "content": { "type": "TEXT", "text": "<string>" }, "title": "<string>" } '
import requests url = "https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children" payload = { "content": { "type": "TEXT", "text": "<string>" }, "title": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({content: {type: 'TEXT', text: '<string>'}, title: '<string>'}) }; fetch('https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'content' => [ 'type' => 'TEXT', 'text' => '<string>' ], 'title' => '<string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children" payload := strings.NewReader("{\n \"content\": {\n \"type\": \"TEXT\",\n \"text\": \"<string>\"\n },\n \"title\": \"<string>\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"content\": {\n \"type\": \"TEXT\",\n \"text\": \"<string>\"\n },\n \"title\": \"<string>\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/knowledge/contents/{content_id}/children") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"content\": {\n \"type\": \"TEXT\",\n \"text\": \"<string>\"\n },\n \"title\": \"<string>\"\n}" response = http.request(request) puts response.read_body
{ "id": "<string>", "title": "<string>", "type": "TEXT", "content": { "type": "TEXT", "text": "<string>" }, "text": "<string>", "size": 123, "chunks_processed": 123, "chunks_count": 123, "error": "<string>", "status": "PENDING", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "parent_content_id": "<string>", "text_truncated": true, "children": [ { "id": "<string>", "status": "PENDING", "title": "<string>", "content": { "type": "TEXT", "text": "<string>" }, "size": 123, "chunks_processed": 123, "chunks_count": 123, "error": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "parent_content_id": "<string>" } ] }
Bearer token authentication using your API key
The ID of the content
Schema for creating a vector
Content configuration schema for different vector input types
Show child attributes
1 - 255
Schema for vector content
Title of the vector
Type of the vector content
TEXT
FILE
URL
Text content of the vector
Size of the vector in bytes
Number of chunks processed for the vector
Number of chunks in the vector
Error message if vector processing failed
Status of vector processing
PENDING
PROCESSING
PROCESSED
FAILED
Parent content ID
Present when the text was truncated for the response; the stored document is complete
Children (for URL crawl parents)
Was this page helpful?